<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.insurances.mapper.insurances.TUpdateStatusErrorMapper">

  <resultMap id="tUpdateStatusErrorMap" type="com.yifu.cloud.plus.v1.yifu.insurances.entity.TUpdateStatusError">
    <id property="id" column="ID"/>
    <result property="title" column="TITLE"/>
    <result property="settleNo" column="SETTLE_NO"/>
    <result property="settleType" column="SETTLE_TYPE"/>
    <result property="typeFlag" column="TYPE_FLAG"/>
    <result property="createTime" column="CREATE_TIME"/>
    <result property="status" column="STATUS"/>
  </resultMap>
    <sql id="Base_Column_List">
                a.ID,
                a.TITLE,
                a.SETTLE_NO,
                a.SETTLE_TYPE,
                a.TYPE_FLAG,
                a.CREATE_TIME,
                a.STATUS
    </sql>
    <sql id="tUpdateStatusError_where">
        <if test="tUpdateStatusError != null">
                    <if test="tUpdateStatusError.id != null and tUpdateStatusError.id.trim() != ''">
                        AND a.ID = #{tUpdateStatusError.id}
                    </if>
                    <if test="tUpdateStatusError.title != null and tUpdateStatusError.title.trim() != ''">
                        AND a.TITLE = #{tUpdateStatusError.title}
                    </if>
                    <if test="tUpdateStatusError.settleNo != null and tUpdateStatusError.settleNo.trim() != ''">
                        AND a.SETTLE_NO = #{tUpdateStatusError.settleNo}
                    </if>
                    <if test="tUpdateStatusError.settleType != null and tUpdateStatusError.settleType.trim() != ''">
                        AND a.SETTLE_TYPE = #{tUpdateStatusError.settleType}
                    </if>
                    <if test="tUpdateStatusError.typeFlag != null and tUpdateStatusError.typeFlag.trim() != ''">
                        AND a.TYPE_FLAG = #{tUpdateStatusError.typeFlag}
                    </if>
                    <if test="tUpdateStatusError.createTime != null">
                        AND a.CREATE_TIME = #{tUpdateStatusError.createTime}
                    </if>
                    <if test="tUpdateStatusError.status != null">
                        AND a.STATUS = #{tUpdateStatusError.status}
                    </if>
        </if>
    </sql>
    <!--tUpdateStatusError简单分页查询-->
    <select id="getTUpdateStatusErrorPage" resultMap="tUpdateStatusErrorMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM t_update_status_error a
        <where>
            1=1
            <include refid="tUpdateStatusError_where"/>
        </where>
    </select>
</mapper>
